List campaign conversation messages
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/chat/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/chat/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/chat/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"messages": [
{
"id": "<string>",
"role": "<string>",
"content": "<string>",
"createdAt": "<string>"
}
],
"messageCount": 123,
"remainingMessages": 123
}Results & insights
List campaign conversation messages
GET
/
campaigns
/
{id}
/
chat
/
messages
List campaign conversation messages
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/chat/messages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/chat/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/chat/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"messages": [
{
"id": "<string>",
"role": "<string>",
"content": "<string>",
"createdAt": "<string>"
}
],
"messageCount": 123,
"remainingMessages": 123
}Required scope:
intel.view
Requires a plan that includes business intelligence (ai tier). Otherwise the request is refused; see Errors.

